Subject: Building Moo on EP/IX (or RISCos)

From: [email-masked]
Date: Thu, 25 Mar 1993 14:33:03 -0800

I'm having some fun building MOO (I'm trying 1.7) on EP/IX 1.4.3,
which is a derivative of RISCos 4.52. Has anyone else built the
beastie? I'm using "gcc" instead of the regular EP/IX compiler, and
"configure" claims that I'm okay for all of NP_SINGLE,
NS_BSD/NP_LOCAL, NS_BSD/NP_TCP and NS_SYSV/NP_LOCAL.

I think that some trouble comes about due to the fact that both SYSV
and BSD include files are available, but they are SYSV by default...
which may be confusing "configure." All of my BSD include files are in
/usr/include/bsd, /usr/include/bsd43, and their ilk. (There's all a
/usr/include/posix, but let's avoid that for now).

After adjusting some of the my-xxx.h files to point to BSD, and
attempting to build, we run in trouble in that fun critical file,
network.c. There's lotsa fun errors, but it boils down to the fact
that some data types are missing, like sigset_t, fd_set, and fds_bits.

Looking around /usr/include/*/... doesn't turn up this missing data
types, but Perl seems to like being built on my machine (and it uses
sockets, streams, shared memory, and other nasty stuff).  I'm
wondering if I should plan on lying to configure to get it to reset
some of its variables, or if I should investigate the include files
for errors of omission.

Has anyone else ran into problems of this sort? I would love some
advice since I'm not used to porting things around all over the place.
I tend to stay on my machine and build things for myself. :)

Thanks a lot! 

--JRP [[email-masked], and so many more]